default:
  image: node:16

include:
  - "/frontend/app-template.gitlab-ci.yml"

.tbv_app_job_variables:
  variables:
    APP_PATH: frontend/terugbelverzoeken-app
    CACHE_KEY_PREFIX: tbv

terugbelverzoeken-app:install:
  extends: 
    - .app_install_template
    - .tbv_app_job_variables

terugbelverzoeken-app:QA:
  extends:
    - .app_qa_template
    - .tbv_app_job_variables
  needs: ["terugbelverzoeken-app:install"]

terugbelverzoeken-app:test:
  extends:
    - .app_test_template
    - .tbv_app_job_variables
  needs: ["terugbelverzoeken-app:install"]

terugbelverzoeken-app:lint:
  extends:
    - .app_lint_template
    - .tbv_app_job_variables
  needs: ["terugbelverzoeken-app:install"]

terugbelverzoeken-app:audit:
  extends:
    - .app_audit_template
    - .tbv_app_job_variables
  needs: ["terugbelverzoeken-app:install"]

terugbelverzoeken-app:build_for_container:
  extends:
    - .app_build_for_container_template
    - .tbv_app_job_variables
  needs: ["terugbelverzoeken-app:test", "terugbelverzoeken-app:lint"]
  variables:
    PUBLIC_URL: /terugbelverzoeken

terugbelverzoeken-app:build-docker-container:
  extends:
    - .app_build_docker_container_template
    - .tbv_app_job_variables
  needs: ["tag-commit", "terugbelverzoeken-app:build_for_container"]
  dependencies: ["tag-commit", "terugbelverzoeken-app:build_for_container"]

terugbelverzoeken-app-tag-container:
  extends:
    - .app_tag_latest_container_template
    - .tbv_app_job_variables
  needs: ["tag-commit"]
  dependencies: ["tag-commit"]
  except:
    changes:
      - "frontend/terugbelverzoeken-app/**/*"
